> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a query pipeline

> Fetch a query pipeline by ID.  The response is the query pipeline's properties in JSON format.



## OpenAPI

````yaml /api-reference/5.9/fusion-api-query.json get /query-pipelines/{id}
openapi: 3.0.1
info:
  title: Fusion Query API
  description: >-
    A Lucidworks Fusion microservice for machine-learning-enhanced ranking and
    retrieval.
  contact:
    name: Lucidworks
    url: www.lucidworks.com
    email: support@lucidworks.com
  license:
    name: License of API
    url: https://lucidworks.com/legal/developer-license-agreement/
  version: '5.9'
servers:
  - url: https://{FUSION HOST}/api
    description: Fusion
    variables:
      FUSION HOST:
        default: FUSION_HOST
        description: Your environment host.
  - url: https://{FUSION HOST}/api/apps/{APP_NAME}
    description: Fusion app
    variables:
      FUSION HOST:
        default: FUSION_HOST
        description: Your environment host.
      APP_NAME:
        default: APP_NAME
        description: The name of your Fusion app.
security:
  - Basic auth: []
  - API key: []
tags:
  - name: Custom Rule Type API
    description: Endpoints to define and manage custom rule type definitions.
  - name: Experiments API
    description: >-
      Use the Experiments API to compare different configuration variants and
      determine which ones are most successful.
  - name: Query Pipelines API
    description: >-
      Use these endpoints to view and manage your query pipelines.  You can also
      send queries using this API, though the Query Profiles API is recommended
      instead.
  - name: Query Profiles API
    description: >-
      The Query Profiles API provides static endpoints that you can consistently
      point to when querying your collections.  Query profiles allow you to
      change the query pipelines or collections behind them without changing the
      endpoint you use for your search queries.  See the Query Profiles CRUD API
      for endpoints that create and modify query profiles.
  - name: Query Profiles CRUD API
    description: >-
      Use these endpoints to create and modify query profiles.  Query profiles
      allow you to change the query pipelines or collections behind them without
      changing the endpoint you use for your search queries.  See the Query
      Profiles API for the query endpoints.
  - name: Query Rewrite API
    description: >-
      The Query Rewrite API manages documents used for query rewriting to
      improve relevancy using AI-generated data. Primarily for internal use.
  - name: Query Stage API
    description: >-
      Use these endpoints to view the available query pipeline stages and their
      configuration parameters.
  - name: Query Stage Plugins API
    description: >-
      Use these endpoints to view, install, and manage custom query stages
      developed with the Query Stage SDK.
  - name: Signal Indexing API
    description: Endpoints to index signals.
  - name: Experience Manager API
    description: API only for internal use by the Experience Manager Springboard system
  - name: Query Pipeline Template API
    description: Used internally to generate query pipelines from a template.
externalDocs:
  description: Lucidworks Documentation.
  url: https://doc.lucidworks.com/
paths:
  /query-pipelines/{id}:
    get:
      tags:
        - Query Pipelines API
      summary: Get a query pipeline
      description: >-
        Fetch a query pipeline by ID.  The response is the query pipeline's
        properties in JSON format.
      operationId: getEntity_1
      parameters:
        - name: id
          description: The query pipeline ID.
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/QueryPipelineDefinition'
              example:
                id: default
                stages:
                  - type: recommendation
                    id: recommendation
                    numRecommendations: 10
                    useFq: true
                    numSignals: 100
                    aggrType: click@doc_id_s-query_s-filters_s
                    skip: false
                  - type: solr-query
                    id: solr
                    skip: false
components:
  schemas:
    QueryPipelineDefinition:
      type: object
      properties:
        id:
          description: The query pipeline ID. Required only when creating a new pipeline.
          type: string
        stages:
          description: >-
            A JSON map of the stages to include with the pipeline. The stages
            can exist already or they can be defined while defining the
            pipeline.  The stage must include the stage definitions: <br/>●
            **id.** the ID of the stage to include.<br/>● **stageParams.** Any
            parameters for the stage. These are only required for a stage that
            has been pre-defined and you wish to modify the properties.<br/>●
            **type.** The stage type. You can define a stage directly on a
            pipeline, or you can use a pre-existing stage. If you use a
            pre-existing stage, you must use 'ref', as a reference to an
            existing stage.<br/>● **skip.** If the stage should be skipped
            during pipeline processing. By default, this is 'false', and does
            not need to be defined unless you would like to skip a stage in the
            future.  If the stage supports setting other properties, then those
            can be defined while defining the stage within the pipeline.
          type: array
          items:
            $ref: '#/components/schemas/StageConfig'
        properties:
          type: object
          additionalProperties:
            type: string
    StageConfig:
      type: object
      properties:
        type:
          description: The query stage type.
          type: string
        id:
          description: The query stage ID.
          type: string
        skip:
          description: '`True` to skip this stage.'
          type: boolean
        label:
          description: An optional label for this stage.
          type: string
        condition:
          description: >-
            A conditional statement that must evaluate to `true` in order to
            execute this stage.
          type: string
      discriminator:
        propertyName: type
  securitySchemes:
    Basic auth:
      type: http
      scheme: basic
    API key:
      name: x-api-key
      type: apiKey
      in: header

````